﻿namespace InABox.Core
{
    public class DataModelTemplate : Entity, IRemotable, IPersistent, ISequenceable, ILicense<CoreLicense>
    {
        [TextBoxEditor(Visible = Core.Visible.Hidden, Editable = Editable.Hidden)]
        public string Model { get; set; }

        [TextBoxEditor]
        public string Name { get; set; }

        [NullEditor]
        public string Template { get; set; }

        [CheckBoxEditor]
        public bool Visible { get; set; }

        [CheckBoxEditor]
        public bool Default { get; set; }

        [NullEditor]
        public long Sequence { get; set; }
    }
}