namespace InABox.Core
{
    public abstract class DimensionedEntity<TDimensions> : Entity, IDimensioned<TDimensions>
        where TDimensions : IDimensions
    {
        public abstract TDimensions Dimensions { get; set; }
        
        IDimensions IDimensioned.Dimensions => Dimensions;
    }
}