﻿using System;
using System.Collections.Generic;
using System.Text;

namespace InABox.Core
{
    public class ExpressionEditor : BaseEditor
    {
        public Type EntityType { get; set; }

        public ExpressionEditor(Type entityType)
        {
            if (!typeof(IExpressionModel).IsAssignableFrom(entityType))
                throw new Exception($"Expression type must be a {nameof(IExpressionModel)}");
            EntityType = entityType;
        }

        protected override BaseEditor DoClone()
        {
            return new ExpressionEditor(EntityType);
        }
    }
}
