﻿using System;

namespace InABox.Core
{
    public abstract class StaticLookupEditor : BaseEditor, ILookupEditor
    {
        public StaticLookupEditor(Type type)
        {
            Type = type;
            Width = int.MaxValue;
        }

        public Type Type { get; set; }

        public int Width { get; set; }

        public EditorButton[] Buttons { get; set; }

        public abstract CoreTable Values(string columnname, object[] items = null);

        public StaticLookupEditor CloneStaticLookupEditor()
        {
            var result = Activator.CreateInstance(GetType(), Type) as StaticLookupEditor;
            result.Width = Width;
            return result;
        }
    }
}